[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[subversive-dev] Integration with new svnkit versions

I've been looking at some changes to svnkit to support HTTP negotiate
authentication in more cases.  Specifically on windows platforms using
the current domain user's login and also using delegated credentials.

See http://svnkit.com/tracker/view.php?id=385 for some notes on the
changes.

We use eclipse/subversive on windows internally so I wanted to try to
integrate the negotiate changes with the subversive svnkit 1.6 connector
but find I cannot build it from source.  I installed the Subversive
connectors sources feature into my Eclipse 3.6.1 setup.  But it seems as
though the svnkit.jar in the connector plugin does not correspond to the
sources in

plugins/.../org.polarion.eclipse.team.svn.connector.svnkit_2.2.2.I201005
12-1900/lib/svnkitsrc.zip 

and neither correspond to the svnkit sources available at
http://svnkit.com/. 

So a couple of questions:

1. What is the road map for integration with new releases of svnkit?  
2. What is the best way to build the svnkit 1.6 connector from source?

Richard